eMail reminder on ticket overdue

2008-07-28 15:51 - Lars F.

Status: New Start date: 2008-07-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

it would be nice to have an reminder functionality. it could might be configurable per-user so that you can choose how many days

before a ticket should be solved a reminder email is send to your account.

Related issues:

Related to Redmine - Feature #1112: Send notifications when issues come due Closed 2008-04-25

History

#1 - 2008-07-28 18:40 - Carl Nygard

Please see #1112.  It already does what you want.

#2 - 2011-03-24 10:30 - Toshi MARUYAMA

- Category set to Email notifications

#3 - 2015-01-31 11:57 - Hans Kaiser

Carl Nygard wrote:

Please see #1112.  It already does what you want.

 Carl, I am using the script, but it would be fine if it would be available from the redmine UI directly.

For example, on redmine installation to create a cron, which triggers a cron-dependent rake task in redmine, which itself manages some recurring

jobs on the redmine UI.

A very basic "job manager in redmine directly"

#4 - 2015-03-20 22:02 - Scott Cunningham

- File email_overdue.patch added

Redmine 2.5.2 (probably older versions, too) supported a rake task to send email reminder to users:

rake redmine:send_reminders days=7 RAILS_ENV="production"

You can also select users. See RedmineReminderEmails for more details. Functionality is basic (only tells users xx tasks are due in xx days) and lists

the tasks with subjects.

For me, I wanted to send emails to users telling them what tasks are overdue (days = 0). With the patch below (tested in 2.5.2, 2.6.1, 3.0.1), if you call

the task with days=0, the subject will change to use "overdue". I modified the mailer code and erb templates and added local labels

mail_subject_reminder_overdue and mail_body_reminder_overdue.

Now, when I call rake redmine:send_reminders days=0 RAILS_ENV="production", users get an email, "xx tasks are overdue" and the body is the list

of overdue tasks.

Next step would be to have the listed email show how many days late, or maybe allow an email that says overdue and due soon...

#5 - 2015-11-02 15:32 - Scott Cunningham

MISSING FROM PATCH FILE: You must also define overdue language entries in your locale:

mail_subject_reminder_overdue: "%{count} issue(s) are overdue"

mail_body_reminder_overdue: "%{count} issue(s) that are assigned to you are overdue:"

PS: Patch file + locale edit still good for Redmine 3.1.1
https://www.redmine.org/issues/1112
https://www.redmine.org/issues/1112
https://www.redmine.org/projects/redmine/wiki/RedmineReminderEmails


Files

email_overdue.patch 1.97 KB 2015-03-20 Scott Cunningham
